%define module	rpy
%define name	python-%{module}
%define version 0.4.6
%define release 3

%define r_version 2.1.1

Name:           %{name}
Version:        %{version}
Release:        %mkrel %{release}
Summary:        A very simple, yet robust, Python interface to the R Programming Language

Group:          Development/Python
License:        BSD-like
URL:            http://rpy.sourceforge.net/
Source0:        http://osdn.dl.sourceforge.net/sourceforge/%{module}/%{module}-%{version}.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root
Requires:	R-base = %{r_version}
BuildRequires:  R-base = %{r_version}

%description
RPy is a very simple, yet robust, Python interface to the R Programming
Language. It can manage all kinds of R objects and can execute arbitrary R
functions (including the graphic functions). All errors from the R language
areconverted to Python exceptions. Any module installed for the R system can
be used from within Python. 

This code is inspired by RSPython from the Omegahat project. The main goals of
RPy are: 
 + to have a very robust interface for using R from Python 
 + the interface should be as transparent and easy to use as possible 
 + it should be usable for real scientific and statistical computations
 

%prep
%setup -n %{module}-%{version} -q


%build
CFLAGS="$RPM_OPT_FLAGS" %{__python} setup.py build

(
 cd doc
 make all
)

%install
rm -rf $RPM_BUILD_ROOT
%{__python} setup.py install -O1 --skip-build --root $RPM_BUILD_ROOT

# install info
mkdir -p $RPM_BUILD_ROOT/%{_datadir}/info
cp doc/manual.info $RPM_BUILD_ROOT/%{_datadir}/info/rpy.info


%clean
rm -rf $RPM_BUILD_ROOT

%post
%_install_info rpy.info

%preun
%_remove_install_info rpy.info

%files
%defattr(-,root,root,-)
%{_libdir}/python%{pyver}/site-packages/*
%{_datadir}/info/*
%doc COPYING NEWS ChangeLog README TODO examples/ doc/manual_html doc/manual.pdf


%changelog
* Fri Aug 12 2005 Gaetan Lehmann <gaetan.lehmann@jouy.inra.fr> 0.4.6-3mdk
- buildrequires and requires same R version

* Tue Aug  9 2005 Gaetan Lehmann <gaetan.lehmann@jouy.inra.fr> 0.4.6-2mdk
- rebuild for new R

* Thu Jul 28 2005 Gaetan Lehmann <gaetan.lehmann@jouy.inra.fr> 0.4.6-1mdk
- New release 0.4.6

* Fri Jun 24 2005 Gaetan Lehmann <gaetan.lehmann@jouy.inra.fr> 0.4.2.1-1mdk
- initial contrib



